#include "spi.h"

void spiInit(void) {
	// /SS, MOSI, SCK jako wyjcia
	DDRB |= _BV(PORTB4) | _BV(PORTB5) | _BV(PORTB7);
	// /SS w stanie wysokim
	SS_HIGH;
	//SPI wczone, tryb master, podzia przez 16
	SPCR = _BV(SPE) | _BV(MSTR) | _BV(SPR0);
}

uint8_t spiTransfer(uint8_t data) {
	//rozpocznij transmisj
	SPDR = data;
	//poczekaj na koniec
	while(!(SPSR & _BV(SPIF)));
	//zwr odebran warto
	return SPDR;
}
